System 2.0.0.0 4.0.0.0 System.Enum System.Flags

The source levels identify the events that are to be traced. The class uses the enumeration to define the event level of the trace message to use for filtering messages to send to the trace listener.

The class uses the enumeration to determine whether a trace listener should emit a trace.

Specifies the levels of trace messages filtered by the source switch and event type filter.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  System.Diagnostics.SourceLevels

  Allows the , , , , and events through.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SourceLevels

  Allows all events through.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SourceLevels

  Allows only events through.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SourceLevels

  Allows and events through.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SourceLevels

  Allows , , , and events through.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SourceLevels

  Does not allow any events through.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SourceLevels

  Allows , , , , and events through.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.SourceLevels

  Allows , , and events through.